Package org.apache.nutch.service.impl

## Class ServiceWorker

- java.lang.Object
- - org.apache.nutch.service.impl.ServiceWorker

- All Implemented Interfaces:
    `Runnable`

      public class ServiceWorker
      extends Object
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceWorker​(ServiceConfig serviceConfig, NutchTool tool)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceWorker

          public ServiceWorker​(ServiceConfig serviceConfig,
                               NutchTool tool)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`